export const indicators = {
  allProject: [
    { label: '产水量', value: 'waterProduction', max: 20 },
    { label: '达标率', value: 'complianceRate', max: 100 },
    { label: '电耗', value: 'electricityConsumption', max: 610000 },
    { label: '维修保养完成率', value: 'maintenanceCompletionRate', max: 100, delta: false },
    { label: '设备故障率', value: 'equipmentFailureRate', max: 0, delta: false },
    { label: '药耗', value: 'chemicalConsumption', max: 40 },
  ],
};
export const MockData = [
  {
    time: '1月',
    allProject: {
      realTimeData: {
        complianceRate: 100,
        waterProduction: 16,
        electricityConsumption: 606360,
        chemicalConsumption: 37.51,

        equipmentFailureRate: 0,
        maintenanceCompletionRate: 100,
      },
      forecastData: {
        complianceRate: 100,
        waterProduction: 16,
        electricityConsumption: 595091,
        chemicalConsumption: 37.44,
        equipmentFailureRate: 0,
        maintenanceCompletionRate: 100,
      },
      optimalData: {
        complianceRate: 100,
        waterProduction: 18,
        electricityConsumption: 595267,
        chemicalConsumption: 35.58,
        equipmentFailureRate: 0,
        maintenanceCompletionRate: 100,
      },
      standardData: {
        complianceRate: 100,
        waterProduction: 20,
        electricityConsumption: 610000,
        chemicalConsumption: 40,
        equipmentFailureRate: 0,
        maintenanceCompletionRate: 100,
      },
    },
  },
  {
    time: '2月',
    allProject: {
      realTimeData: {
        complianceRate: 100,
        waterProduction: 16,
        electricityConsumption: 617346,
        chemicalConsumption: 37.51,

        equipmentFailureRate: 0,
        maintenanceCompletionRate: 100,
      },
      forecastData: {
        complianceRate: 100,
        waterProduction: 17,
        electricityConsumption: 605346,
        chemicalConsumption: 37.44,
        equipmentFailureRate: 0,
        maintenanceCompletionRate: 100,
      },
      optimalData: {
        complianceRate: 100,
        waterProduction: 18,
        electricityConsumption: 604782,
        chemicalConsumption: 35.58,
        equipmentFailureRate: 0,
        maintenanceCompletionRate: 100,
      },
      standardData: {
        complianceRate: 100,
        waterProduction: 20,
        electricityConsumption: 610000,
        chemicalConsumption: 40,
        equipmentFailureRate: 0,
        maintenanceCompletionRate: 100,
      },
    },
  },
  {
    time: '3月',
    allProject: {
      realTimeData: {
        complianceRate: 100,
        waterProduction: 16,
        electricityConsumption: 605785,
        chemicalConsumption: 37.69,

        equipmentFailureRate: 0,
        maintenanceCompletionRate: 100,
      },
      forecastData: {
        complianceRate: 100,
        waterProduction: 16,
        electricityConsumption: 604471,
        chemicalConsumption: 37.72,
        equipmentFailureRate: 0,
        maintenanceCompletionRate: 100,
      },
      optimalData: {
        complianceRate: 100,
        waterProduction: 20,
        electricityConsumption: 603782,
        chemicalConsumption: 36.66,
        equipmentFailureRate: 0,
        maintenanceCompletionRate: 100,
      },
      standardData: {
        complianceRate: 100,
        waterProduction: 20,
        electricityConsumption: 610000,
        chemicalConsumption: 40,
        equipmentFailureRate: 0,
        maintenanceCompletionRate: 100,
      },
    },
  },
  {
    time: '4月',
    allProject: {
      realTimeData: {
        complianceRate: 100,
        waterProduction: 16,
        electricityConsumption: 606360,
        chemicalConsumption: 37.51,

        equipmentFailureRate: 0,
        maintenanceCompletionRate: 100,
      },
      forecastData: {
        complianceRate: 100,
        waterProduction: 16,
        electricityConsumption: 595091,
        chemicalConsumption: 37.44,
        equipmentFailureRate: 0,
        maintenanceCompletionRate: 100,
      },
      optimalData: {
        complianceRate: 100,
        waterProduction: 20,
        electricityConsumption: 595267,
        chemicalConsumption: 35.58,
        equipmentFailureRate: 0,
        maintenanceCompletionRate: 100,
      },
      standardData: {
        complianceRate: 100,
        waterProduction: 20,
        electricityConsumption: 610000,
        chemicalConsumption: 40,
        equipmentFailureRate: 0,
        maintenanceCompletionRate: 100,
      },
    },
  },
];

// 工况评估
export const current = MockData[3];
